MONGOC_READ_PREFS_SET_MODE(3)

NAME
mongoc_read_prefs_set_mode() - Sets the read preference mode. See the MongoDB website for more information on Read Preferences.

SYNOPSIS

void
mongoc_read_prefs_set_mode (mongoc_read_prefs_t *read_prefs,
                            mongoc_read_mode_t   mode);

PARAMETERS

read_prefs
    A mongoc_read_prefs_t \&.

mode
    A mongoc_read_mode_t \&.

DESCRIPTION

Sets the read preference mode. See the MongoDB website for more information on Read Preferences \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.